Database Operations - List By Database
Veritabanında gerçekleştirilen işlemlerin listesini alır.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/operations?api-version=2025-01-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
Veritabanının adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
server
|
path | True |
string |
Sunucunun adı. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
List the database management operations
Örnek isteği
Örnek yanıt
{
"value": [
{
"name": "11111111-1111-1111-1111-111111111111",
"type": "Microsoft.Sql/servers/databases/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/11111111-1111-1111-1111-111111111111",
"properties": {
"description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_GP_Gen5_2', target ServiceLevelObjective 'SQLDB_HS_Gen5_2', target database MaxSize '32'GB",
"databaseName": "testdb",
"estimatedCompletionTime": "2023-02-17T14:30:30.71Z",
"isCancellable": true,
"operation": "UpdateLogicalDatabase",
"operationFriendlyName": "ALTER DATABASE",
"percentComplete": 100,
"serverName": "testsvr",
"startTime": "2023-02-13T06:25:23.67Z",
"state": "Succeeded"
}
},
{
"name": "55555555-5555-5555-5555-555555555555",
"type": "Microsoft.Sql/servers/databases/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
"properties": {
"description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_BC_Gen5_6', target ServiceLevelObjective 'SQLDB_HS_Gen5_6', target database MaxSize '32'GB",
"databaseName": "testdb",
"estimatedCompletionTime": "2024-09-27T12:44:33.953Z",
"isCancellable": true,
"operation": "UpdateLogicalDatabase",
"operationFriendlyName": "ALTER DATABASE",
"operationPhaseDetails": {
"phase": "LogTransitionInProgress",
"phaseInformation": {
"currentStep": "1",
"logTransitioningInProgress": "True",
"totalSteps": "6"
}
},
"percentComplete": 50,
"serverName": "testsvr",
"startTime": "2024-09-27T05:42:30.097Z",
"state": "InProgress"
}
},
{
"name": "55555555-5555-5555-5555-555555555555",
"type": "Microsoft.Sql/servers/databases/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
"properties": {
"description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_GP_Gen5_6', target ServiceLevelObjective 'SQLDB_HS_Gen5_6', target database MaxSize '32'GB",
"databaseName": "testdb",
"estimatedCompletionTime": "2024-09-27T12:28:10.83Z",
"isCancellable": true,
"operation": "UpdateLogicalDatabase",
"operationFriendlyName": "ALTER DATABASE",
"operationPhaseDetails": {
"phase": "BuildingHyperscaleComponents",
"phaseInformation": {
"creatingPrimaryHyperscaleComponents": "True",
"currentStep": "3",
"totalSteps": "6"
}
},
"percentComplete": 50,
"serverName": "testsvr",
"startTime": "2024-09-27T05:13:37.84Z",
"state": "InProgress"
}
},
{
"name": "55555555-5555-5555-5555-555555555555",
"type": "Microsoft.Sql/servers/databases/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
"properties": {
"description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_GP_Gen5_6', target ServiceLevelObjective 'SQLDB_HS_Gen5_6', target database MaxSize '32'GB",
"databaseName": "testdb",
"estimatedCompletionTime": "2024-09-27T14:59:54.38Z",
"isCancellable": true,
"operation": "UpdateLogicalDatabase",
"operationFriendlyName": "ALTER DATABASE",
"operationPhaseDetails": {
"phase": "WaitingForCutover",
"phaseInformation": {
"currentStep": "5",
"dataDelayInMb": "0",
"performCutoverBy": "2024-09-30T07:43:55.08Z",
"totalSteps": "6"
}
},
"percentComplete": 50,
"serverName": "testsvr",
"startTime": "2024-09-27T07:31:56.087Z",
"state": "InProgress"
}
},
{
"name": "55555555-5555-5555-5555-555555555555",
"type": "Microsoft.Sql/servers/databases/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
"properties": {
"description": "'UpdateLogicalDatabase' on database 'testdb'",
"databaseName": "testdb",
"errorCode": 40640,
"errorDescription": "The server encountered an unexpected exception.",
"errorSeverity": 20,
"isUserError": true,
"operation": "UpdateLogicalDatabase",
"operationFriendlyName": "ALTER DATABASE",
"percentComplete": 100,
"serverName": "testsvr",
"startTime": "2023-02-24T11:48:29.16Z",
"state": "Failed"
}
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Database |
Veritabanı işlemi. |
|
Database |
Bir DatabaseOperation listesi işleminin yanıtı. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Management |
İşlem durumu. |
| Phase |
İşlem aşaması. |
|
Phase |
Aşama, veritabanı işleminin özelliklerini ayrıntılarıyla açıklar. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DatabaseOperation
Veritabanı işlemi.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Kaynağın adı |
| properties.databaseName |
string |
İşlemin gerçekleştirildiği veritabanının adı. |
| properties.description |
string |
Operasyon açıklaması. |
| properties.errorCode |
integer (int32) |
İşlem hata kodu. |
| properties.errorDescription |
string |
İşlem hatası açıklaması. |
| properties.errorSeverity |
integer (int32) |
İşlem hatası önem derecesi. |
| properties.estimatedCompletionTime |
string (date-time) |
İşlemin tahmini tamamlanma süresi. |
| properties.isCancellable |
boolean |
İşlemin iptal edilip edilemeyeceği. |
| properties.isUserError |
boolean |
Hatanın kullanıcı hatası olup olmadığı. |
| properties.operation |
string |
İşlemin adı. |
| properties.operationFriendlyName |
string |
İşlemin kolay adı. |
| properties.operationPhaseDetails |
İşlem aşaması ayrıntıları. |
|
| properties.percentComplete |
integer (int32) |
Tamamlanan işlemin yüzdesi. |
| properties.serverName |
string |
Sunucunun adı. |
| properties.startTime |
string (date-time) |
İşlemin başlangıç saati. |
| properties.state |
İşlem durumu. |
|
| systemData |
Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri. |
|
| type |
string |
Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları" |
DatabaseOperationListResult
Bir DatabaseOperation listesi işleminin yanıtı.
| Name | Tür | Description |
|---|---|---|
| nextLink |
string (uri) |
Öğelerin bir sonraki sayfasına bağlantı |
| value |
Bu sayfadaki Database Operation öğeleri |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ManagementOperationState
İşlem durumu.
| Değer | Description |
|---|---|
| Pending |
Beklemede |
| InProgress |
Devam Ediyor |
| Succeeded |
Succeeded |
| Failed |
Başarısız oldu |
| CancelInProgress |
Iptal InProgress |
| Cancelled |
İptal edildi |
Phase
İşlem aşaması.
| Değer | Description |
|---|---|
| LogTransitionInProgress |
LogTransitionInProgress |
| Copying |
Kopyalama |
| BuildingHyperscaleComponents |
Hiper Ölçek Bileşenleri Oluşturma |
| Catchup |
Ketçap |
| WaitingForCutover |
Cutover İçin Bekliyor |
| CutoverInProgress |
CutoverInProgress |
PhaseDetails
Aşama, veritabanı işleminin özelliklerini ayrıntılarıyla açıklar.
| Name | Tür | Description |
|---|---|---|
| phase |
İşlem aşaması. |
|
| phaseInformation |
object |
İşlem aşaması bilgileri. |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |